import React__default from 'react';
import styles from './search-button.module.pcss.js';
import classNames from 'classnames';
import SvgSearch from './search.svg.js';
import { SearchIcon } from '@rescui/icons';
import Button from '@rescui/button';
const DATA_TEST_HEADER_SEARCH_BUTTON = 'header-search-button';

const SearchButton = ({
  onClick,
  isActive,
  isMobile
}) => {
  return React__default.createElement(React__default.Fragment, null, isMobile ? React__default.createElement(Button, {
    "data-test": DATA_TEST_HEADER_SEARCH_BUTTON,
    "aria-label": "Search",
    onClick: onClick,
    mode: 'clear',
    size: 'l',
    icon: React__default.createElement(SearchIcon, null)
  }) : React__default.createElement("button", {
    type: "button",
    className: classNames(styles.button, {
      [styles.active]: isActive
    }),
    "data-test": DATA_TEST_HEADER_SEARCH_BUTTON,
    "aria-label": "Search",
    onClick: onClick
  }, React__default.createElement(SvgSearch, null)));
};

export { DATA_TEST_HEADER_SEARCH_BUTTON, SearchButton };
